Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.usermodel
Class DataValidationConstraint.OperatorType

    java.lang.Object
      org.apache.poi.ss.usermodel.DataValidationConstraint.OperatorType

Enclosing interface:
  DataValidationConstraint

    public static final class DataValidationConstraint.OperatorType

extends java.lang.Object

Condition operator enum

Field Summary
`static int` | `BETWEEN`
`static int` | `EQUAL`
`static int` | `GREATER_OR_EQUAL`
`static int` | `GREATER_THAN`
`static int` | `IGNORED` default value to supply when the operator type is not used
`static int` | `LESS_OR_EQUAL`
`static int` | `LESS_THAN`
`static int` | `NOT_BETWEEN`
`static int` | `NOT_EQUAL`

Method Summary
`static void` | `validateSecondArg(int comparisonOperator, java.lang.String paramValue)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BETWEEN

    public static final int BETWEEN

See Also:
  Constant Field Values

### NOT_BETWEEN

    public static final int NOT_BETWEEN

See Also:
  Constant Field Values

### EQUAL

    public static final int EQUAL

See Also:
  Constant Field Values

### NOT_EQUAL

    public static final int NOT_EQUAL

See Also:
  Constant Field Values

### GREATER_THAN

    public static final int GREATER_THAN

See Also:
  Constant Field Values

### LESS_THAN

    public static final int LESS_THAN

See Also:
  Constant Field Values

### GREATER_OR_EQUAL

    public static final int GREATER_OR_EQUAL

See Also:
  Constant Field Values

### LESS_OR_EQUAL

    public static final int LESS_OR_EQUAL

See Also:
  Constant Field Values

### IGNORED

    public static final int IGNORED

  default value to supply when the operator type is not used

  See Also:
    Constant Field Values

Method Detail

### validateSecondArg

    public static void validateSecondArg(int comparisonOperator,
                                         java.lang.String paramValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD